Mobile to UPI Multiple
API will provide the UPI Id and name for the mobile number provided.
upi_multiple
POST https://secctrl.tutelar.io/api/v1/kyc/banking/upi_multiple
Post parameters description is given below,
Post Parameter
Type
Is Mandatory
Description
mobile_number
String
Yes
Mobile Number
Sample Post Parameters
{
"mobile_number": "6300000000"
}{
"success": true,
"code": 200,
"status": "completed",
"reference_id": "1856dd95-120d-4d96-90ef-9bc255daff34",
"result": {
"name": "Mr R XXXXXXX",
"upi": [
"6300000000@paytm",
"6300000000@axl",
"6300000000@kotak",
"6300000000@upi",
"6300000000@ybl"
],
"txnId": "18e7feea-50f7-49f1-961c-eba44ec9d4bb"
},
"requested_at": "2026-03-03T06:18:50.079Z",
"completed_at": "2026-03-03T06:19:05.365Z"
}{
"success": true,
"code": 200,
"message": "The request is being processed. Please wait for completion.",
"reference_id": "10cc9473-ce11-425e-ac89-1f51ce6e78de",
"status": "in_progress",
"requested_at": "2026-03-03T05:28:49.245Z"
}Check Document Status
Get document details
This Get details API using to fetch the latest updated response when the above API gave the status as in-progress by using the reference_id
GET https://secctrl.tutelar.io/api/v1/kyc/banking/upi_multiple
Query parameters description is given below,
Query Parameter
Type
Is Mandatory
Description
reference_id
String
Yes
Document reference id
Last updated